function __tide_terminal_light_color --argument-names dark_color
    switch (string upper -- $dark_color)
        case 303030
            echo E4E4E4
        case 0087AF
            echo 006E8F
        case 00ACD7
            echo 006F8B
        case 00AFAF
            echo 007272
        case 00AFFF
            echo 006C9E
        case 2496ED
            echo 196AA8
        case 326CE5
            echo 2D60CD
        case 4285F4
            echo 3264B8
        case 44883E
            echo 397234
        case 4E2A8E
            echo 4E2A8E
        case 5F8787
            echo 4C6C6C
        case 5FAF00
            echo 3F7300
        case 5FD700
            echo 337400
        case 613583
            echo 613583
        case 617CBE
            echo 4F659B
        case 6C6C6C 949494 EEEEEE FFFFFF
            echo 666666
        case 7EBAE4
            echo 486A83
        case 844FBA
            echo 814DB5
        case 87875F
            echo 68684A
        case 8787AF
            echo 636381
        case 87AF87
            echo 546C54
        case 87AFAF
            echo 526A6A
        case B31209
            echo B31209
        case D70000 FF0000
            echo CF0000
        case D7AF00
            echo 7B6400
        case D7AF87
            echo 79624C
        case ED8B00
            echo 955700
        case F74C00
            echo B93900
        case F7A41D
            echo 8B5C10
        case F7BF2A
            echo 7F6216
        case FBF0DF
            echo 6A655E
        case FF00FF
            echo B600B6
        case FF8700
            echo 9C5300
        case FF9900
            echo 935800
        case D78700
            echo 905A00
        case '*'
            echo $dark_color
    end
end
